services:
  gitlab:
    image: gitlab/gitlab-ee:18.8.7-ee.0 
    container_name: gitlab
    restart: unless-stopped
    hostname: git.rishighan.com
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'https://git.rishighan.com'
        nginx['listen_port'] = 80
        nginx['listen_https'] = false
        gitlab_rails['time_zone'] = 'America/Chicago'
    ports:
      - "8929:80"
      - "2222:22"
    volumes:
      - /mnt/user/data/gitlab/config:/etc/gitlab
      - /mnt/user/data/gitlab/logs:/var/log/gitlab
      - /mnt/user/data/gitlab/data:/var/opt/gitlab
    shm_size: '256m'
